#### D.15.3.49 SchurCh

Procedure from library `chern.lib` (see chern_lib).

Usage:
  SchurCh(I, C); I list of integers representing a partition, C list of polynomials

Return:
  poly

Purpose:
  computes the Schur polynomial in the Chern classes C, i.e., in the elementary symmetric polynomials, with respect to the partition I

Note:
  if C are the Chern classes of the tautological bundle on a grassmanian, this gives the cohomology class of a Schubert cycle

Example:

    LIB "chern.lib";
    // The Schur polynomial corresponding to the partition 1,2,3
    // and the Chern classes c(1), c(2), c(3)
    ring r=0,(c(1..3)), dp;
    list I=1,2,3;
    list C=c(1..3);
    print( SchurCh(I, C) );
    ==> c(1)*c(2)*c(3)-c(3)^2
    // Compare this with the Schur polynomial computed using Segre classes
    list S=segre(list(c(1..3)), 5);
    print(SchurS(I,S));
    ==> c(1)*c(2)*c(3)-c(3)^2

User manual for Singular version 4-0-3, 2016, generated by texi2html.